Package org.apache.ignite.configuration

## Class PlatformCacheConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.PlatformCacheConfiguration

- All Implemented Interfaces:
    `Serializable`

      public class PlatformCacheConfiguration
      extends Object
      implements Serializable

  Platform cache configuration.

  Additional caching mechanism on platform side (.NET).

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlatformCacheConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getKeyTypeName()` | Gets fully-qualified platform type name of the cache key used for the local map.
    `String` | `getValueTypeName()` | Gets fully-qualified platform type name of the cache value used for the local map.
    `boolean` | `isKeepBinary()` | Gets a value indicating whether platform cache should store keys and values in binary form.
    `PlatformCacheConfiguration` | `setKeepBinary​(boolean keepBinary)` | Sets a value indicating whether platform cache should store keys and values in binary form.
    `PlatformCacheConfiguration` | `setKeyTypeName​(String keyTypeName)` | Sets fully-qualified platform type name of the cache key used for the local map.
    `PlatformCacheConfiguration` | `setValueTypeName​(String valueTypeName)` | Sets fully-qualified platform type name of the cache value used for the local map.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformCacheConfiguration

          public PlatformCacheConfiguration()

  - ### Method Detail

    - #### getKeyTypeName

          public String getKeyTypeName()

      Gets fully-qualified platform type name of the cache key used for the local map. When not set, object-based map is used, which can reduce performance and increase allocations due to boxing.
      Returns:
        Key type name.

    - #### setKeyTypeName

          public PlatformCacheConfiguration setKeyTypeName​(String keyTypeName)

      Sets fully-qualified platform type name of the cache key used for the local map. When not set, object-based map is used, which can reduce performance and increase allocations due to boxing.
      Parameters:
        `keyTypeName` - Key type name.
      Returns:
        `this` for chaining.

    - #### getValueTypeName

          public String getValueTypeName()

      Gets fully-qualified platform type name of the cache value used for the local map. When not set, object-based map is used, which can reduce performance and increase allocations due to boxing.
      Returns:
        Key type name.

    - #### setValueTypeName

          public PlatformCacheConfiguration setValueTypeName​(String valueTypeName)

      Sets fully-qualified platform type name of the cache value used for the local map. When not set, object-based map is used, which can reduce performance and increase allocations due to boxing.
      Parameters:
        `valueTypeName` - Key type name.
      Returns:
        `this` for chaining.

    - #### isKeepBinary

          public boolean isKeepBinary()

      Gets a value indicating whether platform cache should store keys and values in binary form.
      Returns:
        Whether binary mode is enabled.

    - #### setKeepBinary

          public PlatformCacheConfiguration setKeepBinary​(boolean keepBinary)

      Sets a value indicating whether platform cache should store keys and values in binary form.
      Parameters:
        `keepBinary` - Whether binary mode is enabled.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`